Cancel a running task.
POST
/
tasks
/
{task_id}
/
cancel
Cancel Task
curl --request POST \
--url https://api.example.com/tasks/{task_id}/cancelimport requests
url = "https://api.example.com/tasks/{task_id}/cancel"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/tasks/{task_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filesystem_id": "<string>",
"id": "<string>",
"namespace_id": "<string>",
"agents": [
{
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"namespace_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"registered_at": "2023-11-07T05:31:56Z",
"registration_metadata": {},
"status": "ACTIVE",
"status_reason": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"created_version_id": "<string>",
"current_version_id": "<string>",
"name": "<string>",
"params": {},
"status_reason": "<string>",
"task_metadata": {},
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Behavior:
- Sets task status to
CANCELLED - Stops the running agent execution
- Any pending events are discarded
Path Parameters
Response
Successful Response
Task response model with optional related data based on relationships
Show child attributes
Show child attributes
Available options:
IDLE, CANCELED, COMPLETED, FAILED, RUNNING, TERMINATED, TIMED_OUT, DELETED Was this page helpful?
⌘I
Cancel Task
